<?php
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (Canada/World-ML template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
/***************************** version 20220324 ***************************/
$viewSource = false;
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}
############################################################################
$standAlone	= false;			// false if we run in the template environment
if ( $standAlone ) { ?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml">
	<?php
	$SITE = array();
	$_SESSION = array();
	?>
	<head>
	<meta http-equiv="Content-Type" content="text/html;charset=ISO-8859-1"/>
	<meta name="description" content="NWS MDL US Hourly 24 Hr. Forecasts and Analyses"/>
  <?php
}
else {
	require_once("Settings.php");
	require_once("common.php");
}
############################################################################
if ( !$standAlone ) {
	$TITLE = langtransstr($SITE['organ']) . " - " .langtransstr('NWS MDL US Hourly 24 Hr. Forecasts and Analyses');
	$showGizmo = true;  // set to false to exclude the gizmo
	include("top.php");
}
else {
	$TITLE = 'NWS MDL US Hourly 24 Hr. Forecasts and Analyses';
	echo '<title> '.$TITLE.'</title>';
}
##############################  Settings  ##################################
$useOnClick = false; // Use onclick instead of onmouseover to display a chart
$wideWidth = 850; // Widescreen map width desired on page.  Set from 656 to 850 (native width)
$narrowWidth = 656; // Narrow map width
if (!$standAlone) {$divWidth = ($_SESSION['CSSwidescreen']==1 ? $wideWidth : $narrowWidth);}
else $divWidth = $wideWidth;
$useGapWarning = false; // Use warning if maps might be updating from min. 35 to min. 45 each hour
$useAll = true; // Use All LAMP Forecasts
### Set Map Type
if ($useAll) {$forecastType = 'T';} //T, TERR, CEIL, Td, TdERR, VIS, CONVP, CONVR, LTGP, LTGR, rad, slp, or slpwinds
else { $forecastType = 'LTGP';}
###########################  End of Settings ###############################
?>
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js" type="text/javascript"></script>
<script type="text/javascript"> {
	function showForecastjs(fctype,divWidth,useOnClick,useGapWarning,useAll,wideScreen,standAlone) { 
		$('#showForecast').load('inc-ushourly24hfc.php', {fctype:fctype,divWidth:<?php echo $divWidth?>,useOnClick:<?php echo ($useOnClick?1:0)?>,useGapWarning:<?php echo ($useGapWarning?1:0)?>,useAll:<?php echo ($useAll?1:0)?>,wideScreen:<?php echo ($_SESSION['CSSwidescreen']?1:0)?>,standAlone:<?php echo ($standAlone?1:0)?>});
	}
}
</script>
<style type="text/css">
.hidden {
	display: none;
	position:absolute;
	}
.shown {
	display: block;
	position:absolute;
	}
div.center {
	width:100%;
	margin-left: auto;
	margin-right: auto;
}
</style>
</head>
<body>
<?php
############################################################################
if ( !$standAlone ) {
	include("header.php");
	include("menubar.php");
}
############################################################################
date_default_timezone_set("GMT");	# The NWS calculations for these charts is GMT
?>
<?php if (isset($_SESSION['CSSwidescreen'])) { ?>
	<div id="main-copy" style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? 'calc(100%-114)' : $narrowWidth) ?>px; border:inset">
<?php } else { ?>
	<div id="main-copy" style="width:100%; border:inset">
<?php }	?>
	<div class="center" style="width:<?php echo $divWidth ?>px">
	<br/>
	<?php include("inc-ushourly24hfc.php")?>
	</div>
  </div>
</div><!-- end main-copy -->
<?php
date_default_timezone_set('America/New_York');	# Reset to default TimeZone
############################################################################
if ( !$standAlone ) {
	include("footer.php");
} else {
	echo '</body></html>';
}
############################################################################
# End of Page
############################################################################
?>